Update a service.
PUT
/service/{service_id}
const url = 'https://api.siteqwality.com/service/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","escalation_policy_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","incident_creation_mode":"auto","incident_merge_window_minutes":1,"auto_publish_to_status_page_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","default_incident_severity":"minor"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/service/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "escalation_policy_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "incident_creation_mode": "auto", "incident_merge_window_minutes": 1, "auto_publish_to_status_page_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "default_incident_severity": "minor" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” service_id
required
string format: uuid
Service identifier
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
string | null
description
string | null
escalation_policy_id
string | null format: uuid
incident_merge_window_minutes
integer | null format: int32
auto_publish_to_status_page_id
string | null format: uuid
Responses
Section titled “ Responses ”Service updated
Media type application/json
object
id
required
string format: uuid
name
required
string
description
string | null
escalation_policy_id
string | null format: uuid
incident_creation_mode
required
string
incident_merge_window_minutes
required
integer format: int32
auto_publish_to_status_page_id
string | null format: uuid
default_incident_severity
required
string
created_at
required
string format: date-time
monitor_count
integer format: int64
Example
{ "incident_creation_mode": "auto", "default_incident_severity": "minor"}Invalid request body
Missing or invalid authentication
Service not found
Internal server error